Skip to main content
GET
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
tasks
/
{taskId}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "resources": {
    "base_memory": 123,
    "memory_ratio": 123
  },
  "authorizations": [
    {
      "action": "<string>",
      "resource": "<string>"
    }
  ],
  "relationships": {},
  "additional_hosts": {},
  "mounts": {},
  "timezone": "<string>",
  "variables": {},
  "container_profile": "<string>",
  "type": "<string>",
  "source": {
    "root": "<string>"
  },
  "hooks": {
    "build": "<string>",
    "deploy": "<string>"
  },
  "dependencies": {},
  "runtime": {},
  "run": {
    "command": "<string>",
    "timeout": 123
  },
  "name": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required
environmentId
string
required
taskId
string
required

Response

default - application/json
id
string
required

The identifier of Task

resources
Resources · object
required

Resources configuration (base memory and memory ratio)

authorizations
Authorizations · object[]
required

Authorizations available to this container

relationships
Service Relationships · object
required

The relationships of the container to defined services

additional_hosts
Additional hosts · object
required

A mapping of hostname to ip address to be added to the container's hosts file

mounts
Mounts · object
required

Filesystem mounts of this container. If not specified the container will have no writeable disk space

timezone
string | null
required

The timezone of the task. Defaults to the project's timezone if not specified

variables
Environment Variables · object
required

Variables provide environment-sensitive information to control how this container behaves. To set a Unix environment variable, specify a key of env:, and then each sub-item of that is a key/value pair that will be injected into the environment

container_profile
string | null
required

Selected container profile for this container

type
string
required

The runtime type and version for the task (e.g., python:3.8)

source
Source Code Configuration · object
required

Configuration related to the source code of the task

hooks
Hooks · object
required

Scripts executed at various points in the lifecycle of the task

dependencies
Dependencies · object
required

External global dependencies of this task. They will be downloaded by the language's package manager

runtime
Runtime Configuration · object
required

Runtime-specific configuration

run
Run Configuration · object
required

Configuration for task execution

name
string
required

The unique name of the task

Last modified on June 25, 2026